Description
Hey ho,

after some time i needed to upgrade Foreman 1.19 to 1.20 on our Debian Stretch | finally managed to do so.
Including that, I'm in charge of trying to connect our Google Cloud Engine to Foreman.

| don't know what happened prior 1.19, but | do know that the connection did not work as documented in 1.19 and 1.20 running on
Debian Stretch.

| freshly installed 1.20 from scratch, updated a fresh 1.19 installation to 1.20 and did both steps including the old database, too.

All attempts failed, as | was not able to connect Google in any way. Connections to AWS, ESXI and Bare Metals are working as
expected.

Without any adjustments, trying to connect Google in my compute resources results in Foreman saying "Not Found" once i click the
"Load zones" button.
The p12 certificate is in place, the account exists, so does the project ID.

Some research later it occurred to be the "fog-google', '<= 0.1.0™ gem and the old google-api-client gem.

| tried to upgrade those since 2 days now, playing around with all kinds of versions but don't make that much progress at all.

I'm now at the point where it tells me "Deprecated argument no longer works: google_key_location" at my Foreman 1.20 instance.
That occurs when using gem "fog-google', '>= 1.8.1" in combination with "gem 'google-api-client', '~> 0.23', :require =>
'google/api_client™.

| know that the error is mentioned in https://github.com/fog/fog-google/blob/master/lib/fog/google/shared.rb.

It occurs that Google API changed and that you are not longer be able to use p12 files as Foreman suggests.
| also tried a .pem file but did not manage to connect either.

I am at the end of my knowledge about ruby, so | would kindly ask you guys to help me outta there.

Related issues:
Related to Foreman - Bug #26473: [Google Compute Resource] fix broken changes... Closed

History

#1 - 12/06/2018 11:42 AM - Lukas TheForeman

- Description updated

#2 - 02/12/2019 01:28 PM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#3 - 03/28/2019 09:12 AM - Kavita Gaikwad
- Related to Bug #26473: [Google Compute Resource] fix broken changes with latest APl changes and fog-google gem update added

#4 - 07/19/2019 11:18 AM - Kavita Gaikwad

- Status changed from New to Resolved
https://github.com/fog/fog-google/blob/master/lib/fog/google/shared.rb

This issue is resolved in #26473 so marking this.
